<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper 
PUBLIC 
	"-//mybatis.org//DTD Mapper 3.0//EN" 
	"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<!-- 命名，每一个映射对象不一样
	namespace:必须与对应的接口全类名一致
 -->
<mapper namespace="com.iamberry.wechat.service.mapper.AdminLogMapper">
	
	<!-- banner活动所有字段映射 -->
	<sql id="bannerAllField">
		O_ID adminLogId, O_ADMINUSER adminLogUser, O_ADMINGRADE adminLogGrade, O_OPRATETIME adminLogDate,
		O_OPRATEDESC adminLogDesc, O_IP adminLogIp, O_PARENTPAGE adminLogParentPage,
		O_NOWPAGE adminLogNowPage, O_USETIME adminLogUseTime, O_STATUS adminLogStatus,
		O_OTHER adminLogOther, O_METHOD adminLogMethod, O_COOKIE adminLogCookie
	</sql>
	
	<insert id="insertOne" parameterType="AdminLog">
		INSERT INTO 
		 	TB_ADMIN_LOG_ACCESS
		 		(
			 		O_ADMINUSER, O_ADMINGRADE, O_OPRATETIME, O_OPRATEDESC, O_IP, O_PARENTPAGE,
			 		O_NOWPAGE, O_USETIME, O_STATUS, O_OTHER, O_METHOD, O_COOKIE
				)
		 VALUES 
		  	( 
			  #{adminLogUser},  
			  #{adminLogGrade}, 
			  #{adminLogDate},
			  #{adminLogDesc},
			  #{adminLogIp},  
			  #{adminLogParentPage},
			  #{adminLogNowPage},
			  #{adminLogUseTime},
			  #{adminLogStatus},
			  #{adminLogOther},
			  #{adminLogMethod},
			  #{adminLogCookie}
		  	)
	</insert>
	
</mapper>
